<template>
  <q-page class="q-pl-md bg-grey-1" role="presentation">
    <q-splitter class="splitscreen__splitter" v-model="panelWidth" :limits="[50,100]">
      <template v-slot:before>
        <div v-if="presentation_hierarchy" role="region" aria-label="Presentation">
          <PresentationHierarchyTree :presentation_hierarchy="presentation_hierarchy" v-on:nodeClicked="nodeClicked">
          </PresentationHierarchyTree>
        </div>
      </template>
      <template v-slot:separator>
      </template>
      <template v-slot:after>
        <div v-if="node" role="region" aria-label="Detail geklikte cell">
          <CellValue :node="node" v-on:close_detail="close_detail"></CellValue>
        </div>
      </template>
    </q-splitter>

  </q-page>
</template>

<script>
import {api} from 'boot/axios'
import SharedMethods from "components/SharedMethods";
import CellValue from "components/CellValue";
import PresentationHierarchyTree from "components/PresentationHierarchyTree";

export default {
  name: "PresentationHierarchyDetail",
  components: {PresentationHierarchyTree, CellValue},
  created() {
    this.label_nice_role = SharedMethods.label_nice_role
    this.get_label = SharedMethods.get_label
  },
  props: {
    rowid: String,
    dts_name: String,
    nt_version: String
  },
  data() {
    return {
      presentation_hierarchy: undefined,
      node: undefined,
      panelWidth: 50,
      language_switch: undefined
    }
  },
  watch: {
    rowid: function () {
      this.fetchdata()
    },
    "$route.query.lang": function () {
      this.language_switch = this.$route.query.lang
    }
  },
  mounted() {
    this.fetchdata()
  },
  methods: {
    fetchdata: function () {
      if (this.rowid) {
        api
          .get("/presentations/" + this.rowid, {params: {nt_version: this.nt_version}})
          .then(response => {
            this.presentation_hierarchy = [response.data]
          })
      }
    },
    close_detail: function () {
      this.panelWidth = 100
    },
    nodeClicked: function (node) {
      this.node = node
      if (this.panelWidth === 100) {
        this.panelWidth = 75
      }
    }
  }
}
</script>

<style scoped lang="scss">

.splitscreen__splitter {
  height: calc(100vh - 150px);
  width: 98%;
}

</style>
